%define         module_release          alt2
%define         module_version          2003-10-13
%define         module_name             dvb
%define		tarballname		linux-%module_name.%module_version

%define         kversion                2.4.22
%define         krelease                alt15
%define         flavour                 std-up

%define         module_source %tarballname.tar.bz2
%define         module_source_dir %tarballname

%define		base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

Name:          kernel-source-%module_name
Version:       20031013
Release:       %module_release
Summary:       %module_name kernel module source code
Summary(ru_RU.UTF-8): исходные коды модуля ядра %module_name
License:       GPL
Group:         Development/Kernel
ExclusiveOS: Linux
Packager:      Vyacheslav Dikonov <slava@altlinux.ru>
URL: http://www.linuxtv.org/download/dvb/
BuildRequires:	rpm >= 4.0.2-75
Source0:       %module_source
Source1:       Root-patched-%version.gz
#Patch0:	linux-dvb-gcc2.96.patch

%description
This package contains %module_name kernel module source code, required for automatic
module build during different flavours kernel builds in ALT Linux.

%description -l ru_RU.UTF-8
Данный пакет содержит исходные коды модуля ядра %module_name, необходимые
для автоматической сборки модуля при сборке ядер различных применений в ALT Linux.

%prep
%setup -q -n %tarballname
#%patch0 -p1

%build
%make -C apps/av7110_loadkeys
%make -C apps/dvbdate
%make -C apps/dvbnet
%make -C apps/scan
%make -C apps/szap
%make -C apps/test

%install
# tools
%__install -d %buildroot%_bindir 
%__install apps/test/video apps/test/test_vevent apps/test/test_tt \
apps/test/test_stillimage apps/test/test_stc apps/test/test_sections apps/test/test_sec_ne \
apps/test/test_pes apps/test/test_dvr_play apps/test/test_dvr apps/test/test_av_play \
apps/test/test_av apps/test/setvoltage apps/test/setpid apps/test/set22k apps/test/sendburst \
apps/test/diseqc %buildroot%_bindir
%__install apps/szap/tzap apps/szap/szap apps/szap/femon apps/szap/czap %buildroot%_bindir
%__install apps/scan/scan %buildroot%_bindir
%__install apps/dvbnet/net_start.* apps/dvbnet/dvbnet %buildroot%_bindir
%__install apps/dvbdate/dvbdate %buildroot%_bindir
%__install apps/av7110_loadkeys/av7110_loadkeys apps/av7110_loadkeys/evtest %buildroot%_bindir
# docs and samples
%__install -d doc/av7110_loadkeys
%__install -m644 apps/av7110_loadkeys/README apps/av7110_loadkeys/*.rc5 apps/av7110_loadkeys/*.rcmm doc/av7110_loadkeys
%__install -d doc/test
%__install -m644 apps/test/README doc/test
%__install -d doc/szap
%__install -m644 apps/szap/channels.conf* doc/szap
%__install -d doc/scan/dvb-t
%__install -d doc/scan/dvb-s
%__install -d doc/scan/dvb-c
%__install -m644 apps/scan/README doc/scan
%__install -m644 apps/scan/dvb-t/* doc/scan/dvb-t
%__install -m644 apps/scan/dvb-s/* doc/scan/dvb-s
%__install -m644 apps/scan/dvb-c/* doc/scan/dvb-c

# tarball
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
%__mkdir tartmp
pushd tartmp
%__tar xjf %SOURCE0

# Patched firmware
zcat %SOURCE1 > %tarballname/driver/av7110/Root

# Headers
%__mkdir -p %buildroot%_includedir/%module_name
%__cp -r %tarballname/include %buildroot%_includedir/%module_name

# Recompress
%__mv %tarballname kernel-source-%module_name-%version
%__tar -c kernel-source-%module_name-%version | %__bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%version.tar.bz2
popd
%__rm -rf tartmp

%files
%_usrsrc/kernel/sources/kernel-source-%module_name-%version.tar.bz2

#--------------------------------------------------------------
%package -n %module_name-tools
Summary: %module_name test and configuration tools
Summary(ru_RU.UTF-8): программы проверки и конфигурации %module_name
Group: System/Configuration/Hardware
#PreReq: kernel-modules-%module_name = %module_version
BuildRequires: kernel-headers-std-up glibc-kernheaders
ExclusiveArch: %ix86
#BuildArch:     %ix86

%description -n %module_name-tools
This package contains utilities required to test and configure various
DVB receiver cards including SkyStar1 and 2.

%description -l ru_RU.UTF-8 -n %module_name-tools
Этот пакет содержит утилиты, необходимые для проверки и конфигурации различных 
карт DVB-приёма, в том числе SkyStar1 и 2.

%files -n dvb-tools
%doc doc BUGS CARDS CONTRIBUTORS FAQ INSTALL NEWS README
%_bindir/*

#--------------------------------------------------------------
%package -n kernel-headers-%module_name
Summary: Header files for the %module_name modules
Summary(ru_RU.UTF-8): Файлы заголовков для модулей %module_name 
Group: System/Kernel and hardware

%description -n kernel-headers-%module_name
These are the C header files for the %module_name modules,
which define structures and constants that are needed when building
most standard programs that use %module_name.

%description -l ru_RU.UTF-8 -n kernel-headers-%module_name
Пакет содержит C-заголовки для модулей %module_name,
которые определяют структуры и константы необходимые для компиляции
большинства программ, использующих модули %module_name.

%files -n kernel-headers-%module_name
%_includedir/%module_name

%changelog
* Sat Feb 07 2004 Vyacheslav Dikonov <slava@altlinux.ru> 20031013-alt2
- No dvb-tools -> kernel-modules-dvb dependency

* Sun Jan 11 2004 Vyacheslav Dikonov <slava@altlinux.ru> 20031013-alt1
- Initial build
